petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetCoordinateDim

Retrieve the dimension of embedding space for coordinate values.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetCoordinateDim(DM dm, PetscInt *dim)

Not Collective

### Input Parameter

dm -The DM object

### Output Parameter

dim -The embedding dimension

### Keywords

mesh, coordinates

### See Also

DMSetCoordinateDim(), DMGetCoordinateSection(), DMGetCoordinateDM(), DMGetDefaultSection(), DMSetDefaultSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages